mesos-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: Mesos-Buildbot » cmake,gcc,--verbose,GLOG_v=1 MESOS_VERBOSE=1,centos:7,(ubuntu)&&(!ubuntu-us1)&&(!ubuntu-eu2) #3836
Date Sun, 25 Jun 2017 04:06:20 GMT
See <https://builds.apache.org/job/Mesos-Buildbot/BUILDTOOL=cmake,COMPILER=gcc,CONFIGURATION=--verbose,ENVIRONMENT=GLOG_v=1%20MESOS_VERBOSE=1,OS=centos%3A7,label_exp=(ubuntu)&&(!ubuntu-us1)&&(!ubuntu-eu2)/3836/display/redirect?page=changes>

Changes:

[neil.conway] Documented the content of the `SlaveInfo.resources` field.

[neil.conway] Documented resource format in agent <-> master protocol.

[neil.conway] Added comment to master logic for downgrading checkpointed resources.

[neil.conway] Added sanity check to resource downgrade on agent registration.

[neil.conway] Avoided master crash on agent re-registration.

[neil.conway] Avoided master crash on re-registration of old agents.

[neil.conway] Updated comments and help text in mesos-execute.

------------------------------------------
[...truncated 118.88 KB...]
  java-1.8.0-openjdk-headless.x86_64 1:1.8.0.131-3.b12.el7_3                    
  javamail.noarch 0:1.4.6-8.el7                                                 
  javapackages-tools.noarch 0:3.4.1-11.el7                                      
  javassist.noarch 0:3.16.1-10.el7                                              
  jboss-ejb-3.1-api.noarch 0:1.0.2-10.el7                                       
  jboss-el-2.2-api.noarch 0:1.0.1-0.7.20120212git2fabd8.el7                     
  jboss-interceptors-1.1-api.noarch 0:1.0.2-0.9.20120319git49a904.el7           
  jboss-jaxrpc-1.1-api.noarch 0:1.0.1-7.el7                                     
  jboss-servlet-3.0-api.noarch 0:1.0.1-9.el7                                    
  jboss-transaction-1.1-api.noarch 0:1.0.1-8.el7                                
  jline.noarch 0:1.0-8.el7                                                      
  jsch.noarch 0:0.1.50-5.el7                                                    
  jsoup.noarch 0:1.6.1-10.el7                                                   
  junit.noarch 0:4.11-8.el7                                                     
  jzlib.noarch 0:1.1.1-6.el7                                                    
  libICE.x86_64 0:1.0.9-2.el7                                                   
  libSM.x86_64 0:1.2.2-2.el7                                                    
  libX11.x86_64 0:1.6.3-3.el7                                                   
  libX11-common.noarch 0:1.6.3-3.el7                                            
  libXau.x86_64 0:1.0.8-2.1.el7                                                 
  libXcomposite.x86_64 0:0.4.4-4.1.el7                                          
  libXext.x86_64 0:1.3.3-3.el7                                                  
  libXfont.x86_64 0:1.5.1-2.el7                                                 
  libXi.x86_64 0:1.7.4-2.el7                                                    
  libXrender.x86_64 0:0.9.8-2.1.el7                                             
  libXtst.x86_64 0:1.2.2-2.1.el7                                                
  libarchive.x86_64 0:3.1.2-10.el7_2                                            
  libfontenc.x86_64 0:1.1.2-3.el7                                               
  libjpeg-turbo.x86_64 0:1.2.90-5.el7                                           
  libpng.x86_64 2:1.5.13-7.el7_2                                                
  libxcb.x86_64 0:1.11-4.el7                                                    
  libxslt.x86_64 0:1.1.28-5.el7                                                 
  lksctp-tools.x86_64 0:1.0.17-2.el7                                            
  llvm.x86_64 0:3.4.2-8.el7                                                     
  llvm-libs.x86_64 0:3.4.2-8.el7                                                
  log4j.noarch 0:1.2.17-15.el7                                                  
  lzo.x86_64 0:2.06-8.el7                                                       
  maven-wagon.noarch 0:2.4-3.el7                                                
  nekohtml.noarch 0:1.9.14-13.el7                                               
  objectweb-asm.noarch 0:3.3.1-9.el7                                            
  plexus-cipher.noarch 0:1.7-5.el7                                              
  plexus-classworlds.noarch 0:2.4.2-8.el7                                       
  plexus-component-api.noarch 0:1.0-0.16.alpha15.el7                            
  plexus-containers-component-annotations.noarch 0:1.5.5-14.el7                 
  plexus-containers-container-default.noarch 0:1.5.5-14.el7                     
  plexus-interactivity.noarch 0:1.0-0.14.alpha6.el7                             
  plexus-interpolation.noarch 0:1.15-8.el7                                      
  plexus-sec-dispatcher.noarch 0:1.4-13.el7                                     
  plexus-utils.noarch 0:3.0.9-9.el7                                             
  python-javapackages.noarch 0:3.4.1-11.el7                                     
  python-lxml.x86_64 0:3.2.1-4.el7                                              
  qdox.noarch 0:1.12.1-10.el7                                                   
  regexp.noarch 0:1.5-13.el7                                                    
  sisu-inject-bean.noarch 0:2.3.0-11.el7                                        
  sisu-inject-plexus.noarch 0:2.3.0-11.el7                                      
  slf4j.noarch 0:1.7.4-3.el7                                                    
  tomcat-servlet-3.0-api.noarch 0:7.0.69-11.el7_3                               
  ttmkfdir.x86_64 0:3.0.9-42.el7                                                
  tzdata-java.noarch 0:2017b-1.el7                                              
  xalan-j2.noarch 0:2.7.1-23.el7                                                
  xbean.noarch 0:3.13-6.el7                                                     
  xerces-j2.noarch 0:2.11.0-17.el7_0                                            
  xml-commons-apis.noarch 0:1.4.01-16.el7                                       
  xml-commons-resolver.noarch 0:1.2-15.el7                                      
  xorg-x11-font-utils.x86_64 1:7.5-20.el7                                       
  xorg-x11-fonts-Type1.noarch 0:7.5-9.el7                                       

Complete!
 ---> c7ee4e5c74d5
Removing intermediate container de804d6ea312
Step 6/17 : RUN yum install -y java-1.8.0-openjdk-devel python-devel python-six zlib-devel
libcurl-devel openssl-devel cyrus-sasl-devel cyrus-sasl-md5 apr-devel subversion-devel apr-utils-devel
libevent-devel libev-devel
 ---> Running in 1943d47da1fc
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: mirror.scalabledns.com
 * epel: mirrors.syringanetworks.net
 * extras: mirror.san.fastserv.com
 * updates: mirrors.syringanetworks.net
Package 1:java-1.8.0-openjdk-devel-1.8.0.131-3.b12.el7_3.x86_64 already installed and latest
version
No package apr-utils-devel available.
Resolving Dependencies
--> Running transaction check
---> Package apr-devel.x86_64 0:1.4.8-3.el7 will be installed
---> Package cyrus-sasl-devel.x86_64 0:2.1.26-20.el7_2 will be installed
--> Processing Dependency: cyrus-sasl(x86-64) = 2.1.26-20.el7_2 for package: cyrus-sasl-devel-2.1.26-20.el7_2.x86_64
---> Package cyrus-sasl-md5.x86_64 0:2.1.26-20.el7_2 will be installed
---> Package libcurl-devel.x86_64 0:7.29.0-35.el7.centos will be installed
---> Package libev-devel.x86_64 0:4.15-6.el7 will be installed
--> Processing Dependency: libev(x86-64) = 4.15-6.el7 for package: libev-devel-4.15-6.el7.x86_64
--> Processing Dependency: libev.so.4()(64bit) for package: libev-devel-4.15-6.el7.x86_64
---> Package libevent-devel.x86_64 0:2.0.21-4.el7 will be installed
--> Processing Dependency: libevent = 2.0.21-4.el7 for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent_pthreads-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent_openssl-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent_extra-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent_core-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
--> Processing Dependency: libevent-2.0.so.5()(64bit) for package: libevent-devel-2.0.21-4.el7.x86_64
---> Package openssl-devel.x86_64 1:1.0.1e-60.el7_3.1 will be installed
--> Processing Dependency: krb5-devel(x86-64) for package: 1:openssl-devel-1.0.1e-60.el7_3.1.x86_64
---> Package python-devel.x86_64 0:2.7.5-48.el7 will be installed
---> Package python-six.noarch 0:1.9.0-2.el7 will be installed
---> Package subversion-devel.x86_64 0:1.7.14-10.el7 will be installed
--> Processing Dependency: apr-util-devel(x86-64) for package: subversion-devel-1.7.14-10.el7.x86_64
---> Package zlib-devel.x86_64 0:1.2.7-17.el7 will be installed
--> Running transaction check
---> Package apr-util-devel.x86_64 0:1.5.2-6.el7 will be installed
--> Processing Dependency: openldap-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
--> Processing Dependency: libdb-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
--> Processing Dependency: expat-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
---> Package cyrus-sasl.x86_64 0:2.1.26-20.el7_2 will be installed
--> Processing Dependency: /sbin/service for package: cyrus-sasl-2.1.26-20.el7_2.x86_64
---> Package krb5-devel.x86_64 0:1.14.1-27.el7_3 will be installed
--> Processing Dependency: libkadm5(x86-64) = 1.14.1-27.el7_3 for package: krb5-devel-1.14.1-27.el7_3.x86_64
--> Processing Dependency: libverto-devel for package: krb5-devel-1.14.1-27.el7_3.x86_64
--> Processing Dependency: libselinux-devel for package: krb5-devel-1.14.1-27.el7_3.x86_64
--> Processing Dependency: libcom_err-devel for package: krb5-devel-1.14.1-27.el7_3.x86_64
--> Processing Dependency: keyutils-libs-devel for package: krb5-devel-1.14.1-27.el7_3.x86_64
---> Package libev.x86_64 0:4.15-6.el7 will be installed
---> Package libevent.x86_64 0:2.0.21-4.el7 will be installed
--> Running transaction check
---> Package expat-devel.x86_64 0:2.1.0-10.el7_3 will be installed
---> Package initscripts.x86_64 0:9.49.37-1.el7_3.1 will be installed
--> Processing Dependency: sysvinit-tools >= 2.87-5 for package: initscripts-9.49.37-1.el7_3.1.x86_64
--> Processing Dependency: iproute for package: initscripts-9.49.37-1.el7_3.1.x86_64
---> Package keyutils-libs-devel.x86_64 0:1.5.8-3.el7 will be installed
---> Package libcom_err-devel.x86_64 0:1.42.9-9.el7 will be installed
---> Package libdb-devel.x86_64 0:5.3.21-19.el7 will be installed
---> Package libkadm5.x86_64 0:1.14.1-27.el7_3 will be installed
---> Package libselinux-devel.x86_64 0:2.5-6.el7 will be installed
--> Processing Dependency: libsepol-devel(x86-64) >= 2.5-6 for package: libselinux-devel-2.5-6.el7.x86_64
--> Processing Dependency: pkgconfig(libsepol) for package: libselinux-devel-2.5-6.el7.x86_64
--> Processing Dependency: pkgconfig(libpcre) for package: libselinux-devel-2.5-6.el7.x86_64
---> Package libverto-devel.x86_64 0:0.2.5-4.el7 will be installed
---> Package openldap-devel.x86_64 0:2.4.40-13.el7 will be installed
--> Running transaction check
---> Package iproute.x86_64 0:3.10.0-74.el7 will be installed
--> Processing Dependency: libmnl.so.0(LIBMNL_1.0)(64bit) for package: iproute-3.10.0-74.el7.x86_64
--> Processing Dependency: libxtables.so.10()(64bit) for package: iproute-3.10.0-74.el7.x86_64
--> Processing Dependency: libmnl.so.0()(64bit) for package: iproute-3.10.0-74.el7.x86_64
---> Package libsepol-devel.x86_64 0:2.5-6.el7 will be installed
---> Package pcre-devel.x86_64 0:8.32-15.el7_2.1 will be installed
---> Package sysvinit-tools.x86_64 0:2.88-14.dsf.el7 will be installed
--> Running transaction check
---> Package iptables.x86_64 0:1.4.21-17.el7 will be installed
--> Processing Dependency: libnfnetlink.so.0()(64bit) for package: iptables-1.4.21-17.el7.x86_64
--> Processing Dependency: libnetfilter_conntrack.so.3()(64bit) for package: iptables-1.4.21-17.el7.x86_64
---> Package libmnl.x86_64 0:1.0.3-7.el7 will be installed
--> Running transaction check
---> Package libnetfilter_conntrack.x86_64 0:1.0.6-1.el7_3 will be installed
---> Package libnfnetlink.x86_64 0:1.0.1-4.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                   Arch      Version                   Repository  Size
================================================================================
Installing:
 apr-devel                 x86_64    1.4.8-3.el7               base       188 k
 cyrus-sasl-devel          x86_64    2.1.26-20.el7_2           base       310 k
 cyrus-sasl-md5            x86_64    2.1.26-20.el7_2           base        56 k
 libcurl-devel             x86_64    7.29.0-35.el7.centos      base       299 k
 libev-devel               x86_64    4.15-6.el7                extras      97 k
 libevent-devel            x86_64    2.0.21-4.el7              base        85 k
 openssl-devel             x86_64    1:1.0.1e-60.el7_3.1       updates    1.2 M
 python-devel              x86_64    2.7.5-48.el7              base       393 k
 python-six                noarch    1.9.0-2.el7               base        29 k
 subversion-devel          x86_64    1.7.14-10.el7             base       288 k
 zlib-devel                x86_64    1.2.7-17.el7              base        50 k
Installing for dependencies:
 apr-util-devel            x86_64    1.5.2-6.el7               base        76 k
 cyrus-sasl                x86_64    2.1.26-20.el7_2           base        88 k
 expat-devel               x86_64    2.1.0-10.el7_3            updates     57 k
 initscripts               x86_64    9.49.37-1.el7_3.1         updates    432 k
 iproute                   x86_64    3.10.0-74.el7             base       618 k
 iptables                  x86_64    1.4.21-17.el7             base       426 k
 keyutils-libs-devel       x86_64    1.5.8-3.el7               base        37 k
 krb5-devel                x86_64    1.14.1-27.el7_3           updates    651 k
 libcom_err-devel          x86_64    1.42.9-9.el7              base        31 k
 libdb-devel               x86_64    5.3.21-19.el7             base        38 k
 libev                     x86_64    4.15-6.el7                extras      44 k
 libevent                  x86_64    2.0.21-4.el7              base       214 k
 libkadm5                  x86_64    1.14.1-27.el7_3           updates    173 k
 libmnl                    x86_64    1.0.3-7.el7               base        23 k
 libnetfilter_conntrack    x86_64    1.0.6-1.el7_3             updates     55 k
 libnfnetlink              x86_64    1.0.1-4.el7               base        26 k
 libselinux-devel          x86_64    2.5-6.el7                 base       186 k
 libsepol-devel            x86_64    2.5-6.el7                 base        74 k
 libverto-devel            x86_64    0.2.5-4.el7               base        12 k
 openldap-devel            x86_64    2.4.40-13.el7             base       800 k
 pcre-devel                x86_64    8.32-15.el7_2.1           base       479 k
 sysvinit-tools            x86_64    2.88-14.dsf.el7           base        63 k

Transaction Summary
================================================================================
Install  11 Packages (+22 Dependent packages)

Total download size: 7.4 M
Installed size: 21 M
Downloading packages:
--------------------------------------------------------------------------------
Total                                              5.0 MB/s | 7.4 MB  00:01     
Running transaction check
Running transaction test


Transaction check error:
  installing package libnfnetlink-1.0.1-4.el7.x86_64 needs 60KB on the / filesystem
  installing package apr-devel-1.4.8-3.el7.x86_64 needs 2MB on the / filesystem
  installing package libmnl-1.0.3-7.el7.x86_64 needs 2MB on the / filesystem
  installing package libnetfilter_conntrack-1.0.6-1.el7_3.x86_64 needs 2MB on the / filesystem
  installing package iptables-1.4.21-17.el7.x86_64 needs 4MB on the / filesystem
  installing package iproute-3.10.0-74.el7.x86_64 needs 5MB on the / filesystem
  installing package libsepol-devel-2.5-6.el7.x86_64 needs 6MB on the / filesystem
  installing package libevent-2.0.21-4.el7.x86_64 needs 7MB on the / filesystem
  installing package libdb-devel-5.3.21-19.el7.x86_64 needs 7MB on the / filesystem
  installing package libverto-devel-0.2.5-4.el7.x86_64 needs 7MB on the / filesystem
  installing package libcom_err-devel-1.42.9-9.el7.x86_64 needs 7MB on the / filesystem
  installing package expat-devel-2.1.0-10.el7_3.x86_64 needs 7MB on the / filesystem
  installing package pcre-devel-8.32-15.el7_2.1.x86_64 needs 7MB on the / filesystem
  installing package libselinux-devel-2.5-6.el7.x86_64 needs 8MB on the / filesystem
  installing package sysvinit-tools-2.88-14.dsf.el7.x86_64 needs 8MB on the / filesystem
  installing package initscripts-9.49.37-1.el7_3.1.x86_64 needs 10MB on the / filesystem
  installing package cyrus-sasl-2.1.26-20.el7_2.x86_64 needs 10MB on the / filesystem
  installing package cyrus-sasl-devel-2.1.26-20.el7_2.x86_64 needs 10MB on the / filesystem
  installing package openldap-devel-2.4.40-13.el7.x86_64 needs 11MB on the / filesystem
  installing package apr-util-devel-1.5.2-6.el7.x86_64 needs 11MB on the / filesystem
  installing package libev-4.15-6.el7.x86_64 needs 11MB on the / filesystem
  installing package libkadm5-1.14.1-27.el7_3.x86_64 needs 12MB on the / filesystem
  installing package keyutils-libs-devel-1.5.8-3.el7.x86_64 needs 12MB on the / filesystem
  installing package krb5-devel-1.14.1-27.el7_3.x86_64 needs 14MB on the / filesystem
  installing package zlib-devel-1.2.7-17.el7.x86_64 needs 14MB on the / filesystem
  installing package openssl-devel-1:1.0.1e-60.el7_3.1.x86_64 needs 16MB on the / filesystem
  installing package libev-devel-4.15-6.el7.x86_64 needs 16MB on the / filesystem
  installing package subversion-devel-1.7.14-10.el7.x86_64 needs 18MB on the / filesystem
  installing package libevent-devel-2.0.21-4.el7.x86_64 needs 19MB on the / filesystem
  installing package python-devel-2.7.5-48.el7.x86_64 needs 20MB on the / filesystem
  installing package libcurl-devel-7.29.0-35.el7.centos.x86_64 needs 21MB on the / filesystem
  installing package cyrus-sasl-md5-2.1.26-20.el7_2.x86_64 needs 21MB on the / filesystem
  installing package python-six-1.9.0-2.el7.noarch needs 21MB on the / filesystem

Error Summary
-------------
Disk Requirements:
  At least 21MB more space needed on the / filesystem.

The command '/bin/sh -c yum install -y java-1.8.0-openjdk-devel python-devel python-six
zlib-devel libcurl-devel openssl-devel cyrus-sasl-devel cyrus-sasl-md5 apr-devel subversion-devel
apr-utils-devel libevent-devel libev-devel' returned a non-zero code: 1
Build step 'Execute shell' marked build as failure
Not sending mail to unregistered user neil.conway@gmail.com

Mime
View raw message